Bug Hunting Session
Bug 33435 - Apply format to entire sheet by format paintbrush causes hang
Summary: Apply format to entire sheet by format paintbrush causes hang
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
: 81891 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-24 14:33 UTC by bunkem
Modified: 2015-12-15 11:23 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Contains problem details and system config (128.89 KB, text/plain)
2011-01-24 14:33 UTC, bunkem
Details
Backtrace (13.58 KB, text/x-log)
2011-02-23 10:33 UTC, Emerson Prado
Details
Backtrace from libreoffice-3-4. (18.00 KB, text/plain)
2011-05-30 02:08 UTC, Olav Dahlum
Details
bt with master sources (2.22 KB, text/plain)
2014-09-06 06:48 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bunkem 2011-01-24 14:33:24 UTC
Created attachment 42412 [details]
Contains problem details and system config

1. Open a spreadsheet.  
2. Enter data with different formats.
3. Select one cell using Format Paintbrush.
4. Click on top cell to highlight full spreadsheet to apply format to complete spreadsheet.  

LO becomes unresponsive and hangs.  Need to force quit.

(Maybe the user isn't supposed to be able to do this, but if so, then it shouldn't be something the user can select.)

Problem details and system config attached.
Comment 1 Noel Power 2011-01-25 01:33:41 UTC
nice catch!! Kohei, 
I reproduced on linux with slight variation in the steps ( probably I missed something when trying the orig steps ) but... pretty sure the hang is the same

1) open spreadsheet
2) select format paintbrush
3) click the top left corner to select all the sheet
4) click on sheet
Comment 2 Emerson Prado 2011-02-23 08:57:01 UTC
That also happens when copying and pasting formats manually thru "Paste special":

1.Select a cell (or a bunch of);
2.Copy;
3.Select all cells (clicking the left top button);
4.Paste special;
5.Leave only "Format" box checked.

Office hangs at 100% CPU (glad I'm using a dual CPU...) for over 20 minutes (well, it's still hung - had to pkill it).
Pasting formats in smaller areas (like a column) works OK.

BrOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Kernel 2.6.32-5-686 i686 (32 bit)
Distro Linux Mint Debian Edition
Comment 3 Emerson Prado 2011-02-23 10:33:17 UTC
Created attachment 43724 [details]
Backtrace

Here's a backtrace* from a Calc session. Steps:

Opened a new spreadsheet by clicking in the spreadsheet icon inside an empty LibreOffice window;
Copied the first cell thru Ctrl-C;
Selected all cells thru Ctrl-A;
Paste special thru Ctrl-Shift-V;
Check "Format" and unckeck all other options in paste special dialog;
Hit OK.

*I don't have *buginfo packages installed, because I just couldn't find sources or Debian installers. If someone helps me finding installable sources or the like, I'm willing to redo the backtrace, if needed.

BTW, I use Gnome (if of any help).
Comment 4 Emerson Prado 2011-02-23 10:34:43 UTC
(In reply to comment #3)
> *I don't have *buginfo packages installed...
Yes, I really meant *debuginfo. Sorry for the distraction...
Comment 5 Kohei Yoshida 2011-02-23 10:47:37 UTC
Backtrace is not usable, I'm afraid.
Comment 6 Emerson Prado 2011-02-23 11:06:38 UTC
(In reply to comment #5)
> Backtrace is not usable, I'm afraid.

Because of nature of bug of lack of info in the backtrace itself?
Comment 7 Kohei Yoshida 2011-02-23 11:19:07 UTC
Either way, let's not say "has backtrace" when we don't. I didn't mean to hurt your feeling.
Comment 8 Emerson Prado 2011-02-23 12:43:40 UTC
(In reply to comment #7)
> Either way, let's not say "has backtrace" when we don't. I didn't mean to hurt
> your feeling.

Nope, I just wanted to know what is lacking, so I can be of real help (I really thought we had an useful bactrace). If the problem is the backtrace format, I'll do my best to get an useful one.
Comment 9 Kohei Yoshida 2011-02-23 14:08:56 UTC
(In reply to comment #8)

> Nope, I just wanted to know what is lacking, so I can be of real help (I really
> thought we had an useful bactrace). If the problem is the backtrace format,
> I'll do my best to get an useful one.

So, when you look at your backtrace for thread 1 (we are almost always interested in thread 1), you see a bunch of "0xad146fc3 in ?? ()"

---
#0  0xb73bf7f4 in SfxItemSet::GetItemState(unsigned short, unsigned char, SfxPoolItem const**) const ()
   from /opt/libreoffice/program/../basis-link/program/libsvlli.so
#1  0xad146fc3 in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
#2  0xad147140 in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
#3  0xad0a69ce in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
#4  0xad0a6f89 in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
#5  0xad0a87ab in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
#6  0xad0c84fa in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
#7  0xad16866e in ?? ()
   from /opt/libreoffice/program/../basis-link/program/libscli.so
---

and we need to have names instead of those '??' marks.  Gdb can't show names because it didn't have access to debug symbols.

Usable backtrace contains lines like #0 and #11 for the entire stack.  This one is not really usable because of these '??'s.  For you to get a meaningful trace, you need to install debug symbols packages or something similar, if your distro provides them.

OpenSUSE provides libreoffice-*-debuginfo and -debugsource.  I don't know about Debian.
Comment 10 Emerson Prado 2011-02-24 06:04:37 UTC
(In reply to comment #9)
> ... For you to get a meaningful trace, you need to install debug symbols
> packages or something similar, if your distro provides them.
> 
> OpenSUSE provides libreoffice-*-debuginfo and -debugsource.  I don't know about
> Debian.

Debian doesn't seem to have it. Do you (or anybody else) know about installable debug symbols stuff, even in source? I could try to rpm->deb it, but dunno how reliable the trace would be (or if it would ever work).
Comment 11 Emerson Prado 2011-02-24 12:35:54 UTC
Just for the record:

I followed the steps to get a backtrace from here:
http://wiki.documentfoundation.org/BugReport#How_to_get_backtrace_.28on_Linux.29

I downloaded rpm libreoffice*-debuginfo packages from:
http://download.opensuse.org/repositories/LibreOffice:/Unstable/openSUSE_11.3/i586/

Then I converted all of them to deb with alien and installed them with dpkg. But 3 packages gave errors:
 libreoffice-libs-core-devel-debuginfo_3.3.1.2-19.2_i386.deb
 libreoffice-libs-extern-devel-debuginfo_3.3.1.2-19.2_i386.deb
 libreoffice-ure-devel-debuginfo_3.3.1.2-20.2_i386.deb

I tried to open a debug session anyway, and had this disencouraging warning:
Reading symbols from /opt/libreoffice/program/soffice.bin...(no debugging symbols found)...done.

Went all the way thru anyway, and my gdb.log didn't have thread names again.
That is: I can't get a backtrace in Debian (actually, Debian Mint). But I'm still willing to try if someone more knowledgeable has a hint.
Comment 12 Olav Dahlum 2011-05-20 04:36:04 UTC
Confirmed in 3.4 RC1 one as well.
Comment 13 Olav Dahlum 2011-05-20 04:39:59 UTC
(In reply to comment #12)
> Confirmed in 3.4 RC1 one as well.

On x86_64 Mandriva Linux 2010.2 that is.
Comment 14 Olav Dahlum 2011-05-30 02:08:08 UTC
Created attachment 47296 [details]
Backtrace from libreoffice-3-4.

A bit more information, just tell me if this is still inferior.
Comment 15 Kohei Yoshida 2011-12-13 10:10:49 UTC
(In reply to comment #14)
> Created attachment 47296 [details]
> Backtrace from libreoffice-3-4.
> 
> A bit more information, just tell me if this is still inferior.

The backtrace looks good.  Thanks.
Comment 16 bfoman (inactive) 2013-07-26 11:37:22 UTC
(In reply to comment #2)
> 1.Select a cell (or a bunch of);
> 2.Copy;
> 3.Select all cells (clicking the left top button);
> 4.Paste special;
> 5.Leave only "Format" box checked.

Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Calc is not responding, no crash.
Comment 17 ign_christian 2014-07-30 08:54:48 UTC
*** Bug 81891 has been marked as a duplicate of this bug. ***
Comment 18 Julien Nabet 2014-09-06 06:48:26 UTC
Created attachment 105829 [details]
bt with master sources

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
I attached a bt at random. I thought it might help to have a recent bt.
Comment 19 Julien Nabet 2014-09-06 06:54:12 UTC
Kohei: sorry to put you back in cc but it's just to know if there could be some possible fix with the new way to deal with cells. Any thoughts? (I attached a new bt from master sources)
Comment 20 QA Administrators 2015-10-14 19:56:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.1 or preferably 5.0.2.2 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-10-14
Comment 21 bunkem 2015-10-14 21:17:36 UTC
Appears to be fixed now.  

I can't select the full sheet and try to paste format or use Format Painter and select the complete spreadsheet.  

Tested using: LibreOffice for Mac
Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: en-CA (en.UTF-8)
Comment 22 Robinson Tryon (qubit) 2015-12-15 11:23:10 UTC
Migrating Whiteboard tags to Keywords: (perf )
[NinjaEdit]